Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Aaron Jensen <[email-masked]>
Date: Wed, 23 May 2018 15:21:31 -0700

On Wed, May 23, 2018 at 2:31 PM Alan Third <[email-masked]> wrote:
> > I do not know what the command is that is scrolling the child frame. It
> > does not appear in view-lossage.

> Is it a mouse drag? It looks the same here...

Ok, I have a guess. I can reproduce it by setting scroll-margin to
something like 5 and clicking on the last line. The window scrolls so that
the point is visible 5 lines above the bottom of the window. Even if the
scroll-margin is 0, I can reproduce it by clicking on the last line if it
is partially visible (as it may be with frame-resize-pixelwise set). I do
not know what makes child-frames without modelines more susceptible to
this, but it at least looks like it's doing the same thing--scrolling the
window to where it thinks it needs to be scrolled in order for the point to
be fully visible.

> The frame changes height?

Sorry, I meant scrollable region/buffer (not sure which or what it's called
in emacs parlance)--the scrollbar handle shrinks.